## linux-firmware 1.190

=== debian/changelog ===
linux-firmware (1.190-1mx19+2) mx; urgency=medium

  * Remove amd firmware conflicting with new amd-microcoe package.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 16 Aug 2023 12:43:03 -0400

linux-firmware (1.190-1mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 23 Aug 2020 17:07:04 -0700

linux-firmware (1.190) groovy; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    7a30af16115959cf5a817ae51429e72c0084fc0c
    - QCA: Add correct bin file for WCN3991
    - rtl_nic: update firmware for RTL8125B
    - Update to 20200629111339 version to aligh SDK. Mainly fix DFS false alarm.
    - linux-firmware: Update AMD SEV firmware
    - Mellanox: Add new mlxsw_spectrum firmware xx.2008.1036
    - linux-firmware: update NXP SDSD-8997 firmware image
    - amdgpu: update navi10 firmware for 20.30
    - amdgpu: update navi14 firmware for 20.30
    - amdgpu: update picasso firmware for 20.30
    - amdgpu: update raven firmware for 20.30
    - amdgpu: update raven2 firmware for 20.30
    - amdgpu: update renoir firmware for 20.30
    - amdgpu: update vega10 firmware for 20.30
    - amdgpu: update vega12 firmware for 20.30
    - amdgpu: update vega20 firmware for 20.30
    - i915: Add HuC firwmare v7.5.0 for TGL
    - i915: Add DMC firmware 2.08 for TGL
    - i915: Add DMC firmware 2.02 for RKL
    - rtl_bt: Update RTL8822C BT UART firmware to 0x0599_8A4F
    - brcm: Add brcmfmac43455-sdio.raspberrypi,3-model-a-plus.txt symlink

  * alsa/sof: support 1 and 3 dmics (LP: #1891585)
    - SAUCE: sof-firmware: add 1ch and 3ch topology files

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 19 Aug 2020 13:07:19 -0500

linux-firmware (1.189) groovy; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    f39b68729aab3787b89c35bbbd76538e3edb13c4
    - QCA: Update WCN3991 FW files
    - amdgpu: add UVD firmware for SI asics
    - QCA: Update Bluetooth firmware for QCA6390
    - linux-firmware: wilc1000: add wilc1000 v15.4 FW
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - Update binary firmware for MT7663 based devices to include firmware
      offload feature and low power feature.

  * Revert the sof-firmware and tplg files from v0.6_release for tgl machines
    (LP: #1885970)
    - SAUCE: Revert "UBUNTU: SAUCE: add sof firmware and tplg for tgl platforms"

  * Integrate TGL_SOF_FW_prod_signed_v0.6.2_release for tigerlake machines
    (LP: #1887595)
    - SAUCE: integrate TGL_SOF_FW_prod_signed_v0.6.2_release

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 15 Jul 2020 08:03:03 -0500

=== debian/control ===
Source: linux-firmware
Section: misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), rsync
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-firmware

Package: linux-firmware
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Provides: atmel-firmware
Conflicts: atmel-firmware
Replaces: atmel-firmware,
          linux-firmware-snapdragon (<= 1.2-0ubuntu1),
          linux-restricted-common
Breaks: linux-firmware-raspi2 (<= 1.20190819-0ubuntu2),
        linux-firmware-snapdragon (<= 1.2-0ubuntu1)
Description: Firmware for Linux kernel drivers
 This package provides firmware used by Linux kernel drivers.

Package: nic-firmware
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Description: Firmware for NICs
 This package contains firmware needed by some network controllers.

Package: scsi-firmware
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Description: Firmware for SCSI controllers
 This package contains firmware needed by some scsi controllers.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-firmware
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2008 Ben Collins <bcollins@ubuntu.com>
#
#

export LC_ALL=C
export SHELL=/bin/bash -e

#
# A list of the directories created by makefiles under fw_source.
#
GENERATED_DIRS=ea

binary-arch:
	
build-arch:
	$(MAKE) -C fw_source update

build-indep:

dest_dir = $(CURDIR)/debian/linux-firmware
firm_dir = $(dest_dir)/lib/firmware
doc_dir = $(dest_dir)/usr/share/doc/linux-firmware
license_dir = $(doc_dir)/licenses
nic_firm_dir = $(CURDIR)/debian/nic-firmware/lib/firmware
scsi_firm_dir = $(CURDIR)/debian/scsi-firmware/lib/firmware
	
install-indep: build-indep
# Remove firmware conflicting with new amd-microcode package
	rm -rf amd
	dh_testdir
	dh_testroot
	dh_prep -i

	install -d $(firm_dir)

	make install DESTDIR=$(dest_dir)

	for f in $$(cat debian/nic-firmware.lst); do \
		install -m644 -D $(firm_dir)/$$f $(nic_firm_dir)/$$f; \
	done

	for f in $$(cat debian/scsi-firmware.lst); do \
		install -m644 -D $(firm_dir)/$$f $(scsi_firm_dir)/$$f; \
	done

	install -d $(doc_dir)
	cp WHENCE $(doc_dir)/README

	install -d $(license_dir)
	cp LICEN[CS]E* GPL-[23] $(license_dir)

binary-indep: install-indep
	dh_testdir
	dh_testroot

	dh_installchangelogs -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
build: build-arch build-indep

clean:
	rm -rf $(GENERATED_DIRS)
	dh_testdir
	dh_testroot
	dh_clean

## linux-firmware 1.190.6

=== debian/changelog ===
linux-firmware (1.190.6) groovy; urgency=medium

  * Add realtek 8852a wifi fimware (LP: #1931677)
    - rtw89: 8852a: add firmware v0.9.12.2
    - rtw89: 8852a: update fw to v0.13.8.0

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 11 Jun 2021 09:33:49 -0500

linux-firmware (1.190.5) groovy; urgency=medium

  * Add realtek 8852 bluetooth fimware (LP: #1924203)
    - rtl_bt: Add firmware and config files for RTL8852A BT USB chip

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 26 Apr 2021 07:53:48 -0500

linux-firmware (1.190.4) groovy; urgency=medium

  * Fix stale brcmfmac43455-sdio.raspberrypi,3-model-a-plus.txt symlink
    (LP: #1918698)
    - brcm: Fix a stale symlink for RPi3 model b+

  * alsa/sdw: support soundwire audio for TGL-H machines (LP: #1911830)
    - SAUCE: sof-firmware: add TGL-H firmware from sof-bin v1.6.1

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 31 Mar 2021 14:41:15 -0500

linux-firmware (1.190.3) groovy; urgency=medium

  * Fix Realtek 8821c bluetooth fails reconnect BLE devices after suspend
    (LP: #1909705)
    - rtl_bt: Update RTL8821C BT(USB I/F) FW to 0x829a_7644

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 07 Jan 2021 09:40:21 -0600

linux-firmware (1.190.2) groovy; urgency=medium

  * linux-firmware: intel AX200 (8087:0029) and AX201(8087:0026) bluetooth
    firmware update (LP: #1905214)
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200

  * [SRU]sof-firmware: update the sof-firmware from version v1.4.2 to
    stable-v1.6 (LP: #1900809)
    - UBUNTU: SAUCE: sof-firmware: update the sof-firmware to stable-v1.6
    - UBUNTU: SAUCE: sof-firmware: Replace duplicates with symbolic links

 -- Juerg Haefliger <juergh@canonical.com>  Thu, 26 Nov 2020 17:16:23 +0100

linux-firmware (1.190.1) groovy; urgency=medium

  * Fix broken Realtek 8821C BT after S3 (LP: #1901129)
    - rtl_bt: Update RTL8821C BT FW to 0xAA6C_A99E

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 28 Oct 2020 15:51:48 -0500

## linux-firmware 1.194

=== debian/changelog ===
linux-firmware (1.194) unstable; urgency=medium

  * update

 -- Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>  Thu, 14 Jan 2021 17:57:15 +0800

linux-firmware (1.194) hirsute; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    f580dc2bc1a06ad1511969fb5b04406c4a8e37ce
    - QCA : Updated firmware files for WCN3991
    - mediatek: update MT8173 VPU firmware to v1.1.6
    - linux-firmware: add firmware for Lontium LT9611UXC DSI to HDMI bridge
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - make AP6212 in bananpi m2 plus/zero work
    - rtl_bt: Update RTL8821C BT(USB I/F) FW to 0x829a_7644
    - rtl_bt: Add firmware and config files for RTL8852A BT USB chip
    - rtl_bt: Update RTL8822C BT(USB I/F) FW to 0x099a_7253
    - rtl_bt: Update RTL8822C BT(UART I/F) FW to 0x059A_25CB

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 07 Jan 2021 09:37:37 -0600

linux-firmware (1.193) hirsute; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    7455a36066741a6e52fba65e04f6451b4cdfd9c4
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - i915: Add GuC firmware v49.0.1 for all platforms
    - i915: Remove duplicate KBL DMC entry
    - Mellanox: Add new mlxsw_spectrum firmware xx.2008.2018
    - linux-firmware: Update AMD SEV firmware
    - amdgpu: add sienna cichlid firmware for 20.45
    - amdgpu: update vega20 firmware for 20.45
    - amdgpu: update vega12 firmware for 20.45
    - amdgpu: update vega10 firmware for 20.45
    - amdgpu: update renoir firmware for 20.45
    - amdgpu: update navi14 firmware for 20.45
    - amdgpu: update navi12 firmware for 20.45
    - amdgpu: update navi10 firmware for 20.45
    - amdgpu: update raven2 firmware for 20.45
    - amdgpu: update raven firmware for 20.45
    - rtlwifi: v88.2 firmware files for RTL8192CU
    - rtw88: RTL8822C: Update firmware to v9.9.4
    - Revert "rtw88: RTL8822C: Update firmware to v9.9.4"
    - vpdma: Move firmware to ti directory
    - amdgpu: update picasso VCN firmware
    - amdgpu: update raven2 VCN firmware
    - amdgpu: update raven VCN firmware
    - rtw88: RTL8822C: Update firmware to v9.9.4
    - rtl_bt: Update RTL8822C BT(USB I/F) FW to 0x099A_281A
    - QCA: Update Bluetooth firmware for QCA6390
    - qcom : updated venus firmware files for v5.4
    - QCA : Fixed BT SSR due to command timeout / IO fatal error
    - ath11k: QCA6390 hw2.0: add to WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1
    - ath11k: QCA6390 hw2.0: add board-2.bin
    - ath11k: IPQ8074 hw2.0: add to WLAN.HK.2.1.0.1-01238-QCAHKSWPL_SILICONZ-2
    - ath11k: IPQ8074 hw2.0: add board-2.bin
    - ath11k: IPQ6018 hw1.0: add to WLAN.HK.2.1.0.1-01238-QCAHKSWPL_SILICONZ-2
    - ath11k: IPQ6018 hw1.0: add board-2.bin
    - ath10k: QCA6174 hw3.0: add firmware-sdio-6.bin version WLAN.RMH.4.4.1-00077
    - ath10k: QCA9984 hw1.0: update firmware-5.bin to 10.4-3.9.0.2-00131
    - ath10k: QCA9888 hw2.0: update firmware-5.bin to 10.4-3.9.0.2-00131
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00157-QCARMSWPZ-1

  * [Debian] Update to debhelper compat 13

  * [Debian] Bump Standards-Version to 4.5.0

  * [Packaging] Update nic-firmware.lst for 5.10

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 14 Dec 2020 13:17:01 -0600

linux-firmware (1.192) hirsute; urgency=medium

  * [SRU]sof-firmware: update the sof-firmware from version v1.4.2 to
    stable-v1.6 (LP: #1900809)
    - SAUCE: sof-firmware: update the sof-firmware to stable-v1.6
    - SAUCE: sof-firmware: Replace duplicates with symbolic links

 -- Juerg Haefliger <juergh@canonical.com>  Thu, 26 Nov 2020 13:23:20 +0100

linux-firmware (1.191) hirsute; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    dae4b4cd084102cd49c37aa8b579b208028ab025
    - amdgpu: update navi10 firmware for 20.30
    - amdgpu: add navi12 firmware from 20.30
    - linux-firmware: mt7615: update firmware to 20200814 version
    - wl18xx: update firmware file 8.9.0.0.83
    - qcom: Add updated a5xx and a6xx microcode
    - brcm: Fix a stale symlink for RPi3 model b+
    - mediatek: update MT7915 firmware to 20200819
    - Mellanox: Add new mlxsw_spectrum firmware xx.2008.1310
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update AMD SEV firmware
    - linux-firmware: Update Marvell Switchdev firmware with ABI changes
    - linux-firmware: move iwlwifi-7265D-10.ucode symlink to WHENCE
    - linux-firmware: move i915 firmware symlinks to WHENCE
    - linux-firmware: nvidia: move firmware symlinks to WHENCE
    - Mellanox: Add new mlxsw_spectrum firmware xx.2008.1312
    - linux-firmware: Update firmware patch for Intel Bluetooth 7265 (D1)
    - linux-firmware: Update firmware for Cadence MHDP8546 DP bridge
    - QCA : Updated firmware files for WCN3991
    - linux-firmware: Add new VPDMA firmware 1b8.bin
    - amdgpu: update navi10 firmware for 20.40
    - amdgpu: update navi12 firmware for 20.40
    - amdgpu: update navi14 firmware for 20.40
    - amdgpu: update picasso firmware for 20.40
    - amdgpu: update raven firmware for 20.40
    - amdgpu: update raven2 firmware for 20.40
    - amdgpu: update renoir firmware for 20.40


=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), rsync
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), rsync
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-firmware
 
 Package: linux-firmware
@@ -13,11 +13,8 @@
 Depends: ${misc:Depends}
 Provides: atmel-firmware
 Conflicts: atmel-firmware
-Replaces: atmel-firmware,
-          linux-firmware-snapdragon (<= 1.2-0ubuntu1),
-          linux-restricted-common
-Breaks: linux-firmware-raspi2 (<= 1.20190819-0ubuntu2),
-        linux-firmware-snapdragon (<= 1.2-0ubuntu1)
+Replaces: atmel-firmware, linux-restricted-common, linux-firmware-snapdragon (<= 1.2-0ubuntu1)
+Breaks: linux-firmware-snapdragon (<= 1.2-0ubuntu1), linux-firmware-raspi2 (<= 1.20190819-0ubuntu2)
 Description: Firmware for Linux kernel drivers
  This package provides firmware used by Linux kernel drivers.

## linux-firmware 1.197

=== debian/changelog ===
linux-firmware (1.197) hirsute; urgency=medium

  * Intel AX210 Wi-Fi card does not work since updating to 1.196
    (LP: #1922406)
    - SAUCE: Revert "iwlwifi: add new FWs from core59-66 release"

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 07 Apr 2021 08:50:11 -0500

linux-firmware (1.196) hirsute; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    3f026a2f13a8f130cde849168a111ec80f12e27b
    - silabs: add new firmware for WF200
    - brcm: Fix Raspberry Pi 4B NVRAM file
    - Add symlink for BananaPi M2 to brcmfmac43430-sdio config
    - WHENCE: add missing symlink for BananaPi M3
    - rtw89: 8852a: add firmware v0.9.12.2
    - linux-firmware: add frimware for mediatek bluetooth chip (MT7921)
    - Mellanox: Add new mlxsw_spectrum firmware xx.2008.2406
    - iwlwifi: update 7265D firmware
    - iwlwifi: update 9000-family firmwares
    - iwlwifi: add new FWs from core59-66 release
    - rtw88: 8822c: Update normal firmware to v9.9.6
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - amdgpu: add initial support for navy flounder
    - amdgpu: update raven firmware for 20.50
    - amdgpu: update raven2 firmware for 20.50
    - amdgpu: update navi10 firmware for 20.50
    - amdgpu: update renoir firmware for 20.50
    - amdgpu: update vega10 firmware for 20.50
    - amdgpu: update navi12 firmware for 20.50
    - amdgpu: update vega12 firmware for 20.50
    - amdgpu: update navi14 firmware for 20.50
    - amdgpu: update picasso firmware for 20.50
    - amdgpu: update vega20 firmware for 20.50
    - amdgpu: update sienna cichlid firmware for 20.50
    - rtl_bt: Update RTL8822C BT(UART I/F) FW to 0x59A_76A3
  * alsa/sdw: support soundwire audio for TGL-H machines (LP: #1911830)
    - SAUCE: sof-firmware: add TGL-H firmware from sof-bin v1.6.1

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 31 Mar 2021 13:49:18 -0500

linux-firmware (1.195) hirsute; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    f7915a0c29fee27a310cebd7155b9e3a6eb71a1d
    - brcm: remove old brcm firmwares that have newer cypress variants
    - cypress: Link the new cypress firmware to the old brcm files
    - cypress: Fix link direction
    - brcm: Update Raspberry Pi 3B+/4B NVRAM for downstream changes
    - brcm: Add NVRAM for Vamrs 96boards Rock960
    - brcm: Link RPi4's WiFi firmware with DMI machine name.
    - qcom: add firmware files for Adreno a650
    - qcom: Add SM8250 Audio DSP firmware
    - qcom: Add SM8250 Compute DSP firmware
    - qcom: Add venus firmware files for VPU-1.0
    - i915: Add GuC v49.0.1 for DG1
    - i915: Add HuC v7.7.1 for DG1
    - i915: Add DMC v2.01 for ADL-S
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - rtw88: RTL8821C: Update firmware to v24.8
    - linux-firmware: add firmware for MT7921
    - Mellanox: Add new mlxsw_spectrum firmware xx.2008.2304
    - rtw88: RTL8822C: Update normal firmware to v9.9.5
    - amdgpu: add initial firmware for green sardine
  * Add support for noudeb build profile

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 03 Mar 2021 07:24:55 -0600

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 GENERATED_DIRS=ea
 
 binary-arch:
-	
+
 build-arch:
 	$(MAKE) -C fw_source update
 
@@ -29,10 +29,8 @@
 license_dir = $(doc_dir)/licenses
 nic_firm_dir = $(CURDIR)/debian/nic-firmware/lib/firmware
 scsi_firm_dir = $(CURDIR)/debian/scsi-firmware/lib/firmware
-	
+
 install-indep: build-indep
-# Remove firmware conflicting with new amd-microcode package
-	rm -rf amd
 	dh_testdir
 	dh_testroot
 	dh_prep -i
@@ -41,6 +39,7 @@
 
 	make install DESTDIR=$(dest_dir)
 
+ifeq ($(filter noudeb,$(DEB_BUILD_PROFILES)),)
 	for f in $$(cat debian/nic-firmware.lst); do \
 		install -m644 -D $(firm_dir)/$$f $(nic_firm_dir)/$$f; \
 	done
@@ -48,6 +47,7 @@
 	for f in $$(cat debian/scsi-firmware.lst); do \
 		install -m644 -D $(firm_dir)/$$f $(scsi_firm_dir)/$$f; \
 	done
+endif
 
 	install -d $(doc_dir)
 	cp WHENCE $(doc_dir)/README

## linux-firmware 1.197.5

=== debian/changelog ===
linux-firmware (1.197.5) hirsute; urgency=medium

  * linux-firmware: add firmware for adl machines from sof-firmware-v1.9.2 (LP: #1952011)
  * Miscellaneous Ubuntu packaging changes and cleanups (LP: #1953587)
    - SAUCE: check_whence.py: Add python3 shebang
    - SAUCE: check_whence.py: Also process WHENCE.ubuntu
    - SAUCE: check_whence.py: Ignore debian/ and fw_source/ directories
    - SAUCE: check_whence.py: Ignore ea/ directory
    - SAUCE: Remove obsolete bnx2x from WHENCE
    - SAUCE: Remove obsolete tr_smctr from WHENCE
    - SAUCE: Remove obsolete ti-connectivity from WHENCE
    - SAUCE: Remove obsolete tda7706 from WHENCE
    - SAUCE: Remove obsolete sxg from WHENCE
    - SAUCE: Remove obsolete myricom from WHENCE
    - SAUCE: Remove obsolete mwl8k from WHENCE
    - SAUCE: Remove obsolete libertas from WHENCE
    - SAUCE: Remove obsolete Computone from WHENCE
    - SAUCE: Remove obsolete dabusb from WHENCE
    - SAUCE: Remove obsolete cxgb from WHENCE
    - SAUCE: Remove obsolete bnx2x from WHENCE
    - SAUCE: Remove obsolete ar9170 from WHENCE
    - SAUCE: Remove obsolete ar7010 from WHENCE
    - SAUCE: Remove obsolete ath3k from WHENCE
    - SAUCE: Remove obsolete 3com from WHENCE
    - SAUCE: Remove obsolete ath6k from WHENCE
    - SAUCE: Remove obsolete slicoss from WHENCE
    - SAUCE: Remove obsolete ath9k from WHENCE
    - SAUCE: Remove obsolete ar3k from WHENCE
    - SAUCE: Remove obsolete bnx2x from WHENCE
    - SAUCE: Remove obsolete files from WHENCE
    - SAUCE: Remove obsolete cxgb3 from WHENCE
    - SAUCE: Remove obsolete ueagle-atm from WHENCE
    - Add LICENCE.realtek-firmware.txt to WHENCE.ubuntu
    - Rename LICENCE.dib0700 to LICENSE.dib0700
    - Move Ubuntu check_firmware script to debian/scripts/
    - Remove unnecessary symbolic links
    - intel/sof: Remove symbolic links and add license to WHENCE.ubuntu
    - [Packaging] Add rebase-upstream helper script and debian rule
    - [Packaging] Add close-release helper script and debian rule
    - [Packaging] Add check rule and call it in clean stage
    - SAUCE: Remove missing firmwares from WHENCE
    - [Packaging] Add WHENCE.ubuntu as README.ubuntu to the package
    - [Packaging] close-release: Parse commit messages for Ignores and BugLinks

 -- Juerg Haefliger <juergh@canonical.com>  Tue, 07 Dec 2021 13:26:28 +0100

linux-firmware (1.197.3) hirsute; urgency=medium

  * [SRU][F/H/I] Add MT7921 wifi fw (LP: #1936452)
    - linux-firmware: update firmware for MT7921 WiFi device
    - linux-firmware: update firmware for MT7921 WiFi device to 20210612122753
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)

  * To support AMD W6600 and W6700 (LP: #1938149)
    - amdgpu: update sienna cichlid firmware from 21.10
    - amdgpu: update sienna cichlid firmware from 21.20
    - amdgpu: add initial dimgrey cavefish firmware from 21.20

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 02 Aug 2021 18:21:43 +0300

linux-firmware (1.197.2) hirsute; urgency=medium

  * Add realtek 8852a wifi fimware (LP: #1931677)
    - rtw89: 8852a: update fw to v0.13.8.0

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 22 Jun 2021 13:55:53 -0500

linux-firmware (1.197.1) hirsute; urgency=medium

  * Fix system hang with 5.10 kernel + RX540 on RKL platform (LP: #1929147)
    - amdgpu: add new polaris 12 MC firmware

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 28 May 2021 09:38:38 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12), rsync
+Build-Depends: debhelper-compat (= 13), rsync
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-firmware
 
 Package: linux-firmware
@@ -19,6 +19,7 @@
  This package provides firmware used by Linux kernel drivers.
 
 Package: nic-firmware
+Build-Profiles: <!noudeb>
 XC-Package-Type: udeb
 Architecture: all
 Section: debian-installer
@@ -26,6 +27,7 @@
  This package contains firmware needed by some network controllers.
 
 Package: scsi-firmware
+Build-Profiles: <!noudeb>
 XC-Package-Type: udeb
 Architecture: all
 Section: debian-installer

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,7 @@
 
 	install -d $(doc_dir)
 	cp WHENCE $(doc_dir)/README
+	cp WHENCE.ubuntu $(doc_dir)/README.ubuntu
 
 	install -d $(license_dir)
 	cp LICEN[CS]E* GPL-[23] $(license_dir)
@@ -76,3 +77,18 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
+
+	# Ensure sanity checks are run when building packages from the
+	# git repo
+	if [ -d .git ] ; then \
+	    $(MAKE) -f debian/rules check; \
+	fi
+
+rebase:
+	debian/scripts/rebase-upstream
+
+release:
+	debian/scripts/close-release
+
+check:
+	$(MAKE) check

## linux-firmware 1.201

=== debian/changelog ===
linux-firmware (1.201) impish; urgency=medium

  * Rebase to upstream commit 7a30050592e20f494ad331b90737913d59167c3f
    Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    - i915: Update ADLP DMC v2.12
    - amdgpu: add initial firmware for Yellow Carp (LP: #1945227)
    - iwlwifi: add FWs for new So device types with multiple RF modules
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - linux-firmware: Update firmware file for Intel Bluetooth AX211
    - qed: Add firmware 8.59.1.0
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX211
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)
    - cxgb4: Update firmware to revision 1.26.2.0
    - amdgpu: Add initial firmware for Beige Goby
    - amdgpu: update VCN firmware for raven
    - amdgpu: update VCN firmware for raven2
    - amdgpu: update VCN firmware for picasso
    - amdgpu: update VCN firmware for renoir
    - amdgpu: update VCN firmware for vangogh
    - amdgpu: update VCN firmware for sienna cichlid
    - amdgpu: update VCN firmware for navy flounder
    - amdgpu: update VCN firmware for dimgrey cavefish
    - linux-firmware: Update firmware file for Intel Bluetooth 9462
    - brcm: Add 43455 based AP6255 NVRAM for the ACEPC T8 Mini PC

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Sep 2021 11:36:54 +0300

linux-firmware (1.200) impish; urgency=medium

  * Rebase to upstream commit 090a34dfe32bfe139bf0f8df96bcbce320ee8864
    Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    - qca: Add firmware files for BT chip WCN6750.
    - i915: Add v2.12 DMC for TGL
    - i915: Add v2.03 DMC for RKL
    - QCA : Updated firmware files for WCN3991
    - linux-firmware: add firmware for MT7922
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)
    - linux-firmware: Update firmware file for Intel Bluetooth AX210
    - amdgpu: update arcturus firmware from 21.30
    - amdgpu: update green sardine firmware from 21.30
    - amdgpu: update navi10 firmware from 21.30
    - amdgpu: update navi12 firmware from 21.30
    - amdgpu: update navi14 firmware from 21.30
    - amdgpu: update sienna cichlid firmware from 21.30
    - amdgpu: update navy flounder firmware from 21.30
    - amdgpu: update dimgrey cavefish firmware from 21.30
    - amdgpu: update picasso firmware from 21.30
    - amdgpu: update polaris12 firmware from 21.30
    - amdgpu: update raven firmware from 21.30
    - amdgpu: update raven2 firmware from 21.30
    - amdgpu: update renoir firmware from 21.30
    - amdgpu: update vega10 firmware from 21.30
    - amdgpu: update vega12 firmware from 21.30
    - amdgpu: update vega20 firmware from 21.30
    - amdgpu: add initial vangogh support
    - amdgpu: revert back to older picasso sdma firmware
    - amdgpu: revert back to older raven sdma firmware
    - amdgpu: revert back to older raven2 sdma firmware
    - ice: update package file to 1.3.26.0
    - rtl_nic: update firmware of RTL8153C
    - rtl_bt: Update RTL8852A BT USB firmware to 0xD9A9_127B
    - iwlwifi: add FW for new So/Gf device type
    - Mellanox: Add new mlxsw_spectrum firmware xx.2008.3326
    - rtl_bt: Update RTL8822C BT USB firmware to 0x09A9_1A4A
    - rtl_bt: Update RTL8822C BT UART firmware to 0x05A9_1A4A
    - rtl_bt: Update RTL8852A BT USB firmware to 0xD9A9_1D69
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)
    - Revert "iwlwifi: add FW for new So/Gf device type"
    - linux-firmware: Update AMD SEV firmware
    - linux-firmware: add frimware for mediatek bluetooth chip (MT7922)
  * [Packaging] Add compress-firmware helper script
  * [Packaging] Add rebase-upstream helper script and debian rule
  * [Packaging] Add close-release helper script and debian rule

 -- Juerg Haefliger <juergh@canonical.com>  Fri, 17 Sep 2021 11:20:12 +0200

linux-firmware (1.199) impish; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    168452ee695b5edb9deb641059bc110b9c5e8fc7
    - cxgb4: Update firmware to revision 1.25.6.0
    - QCA: Update Bluetooth firmware for QCA6390
    - QCA: Update Bluetooth firmware for QCA6174
    - QCA: Add Bluetooth firmware for WCN685x
    - linux-firmware: update firmware for MT7921 WiFi device
    - rtl_bt: Update RTL8822C BT(USB I/F) FW to 0x09A8_A0CB
    - rtl_bt: Update RTL8822C BT(UART I/F) FW to 0x05A8_A0CB
    - mediatek: update MT7915 firmware to 20201105
    - Mellanox: Add new mlxsw_spectrum firmware xx.2008.2946
    - rtl_bt: Add rtl8761b firmware
    - rtl_bt: Add rtl8761bu firmware
    - cypress: update firmware for cyw43012 sdio
    - cypress: update firmware for cyw43340 sdio
    - cypress: update firmware for cyw43430 sdio
    - cypress: update firmware for cyw43455 sdio
    - cypress: update firmware for cyw4354 sdio
    - cypress: update firmware for cyw4356 sdio
    - cypress: update firmware for cyw43570 pcie
    - cypress: update firmware for cyw4373 sdio
    - cypress: update firmware for cyw54591 pcie
    - QCA: Update Bluetooth firmware for QCA6174
    - rtl_bt: Update RTL8822C BT(UART I/F) FW to 0x05A8_C6B4
    - linux-firmware: update firmware for MT7921 WiFi device to 20210612122753
    - rtl_bt: Update RTL8852A BT USB firmware to 0xD9A8_A0CD
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200


## linux-firmware 1.201.5

=== debian/changelog ===
linux-firmware (1.201.5) impish; urgency=medium

  * rtw89_pci constantly drops connection with old firmware (LP: #1960933)
    - rtw89: 8852a: update fw to v0.13.30.0
    - rtw89: 8852a: update fw to v0.13.33.0

 -- Juerg Haefliger <juergh@canonical.com>  Fri, 18 Feb 2022 15:22:53 +0100

linux-firmware (1.201.4) impish; urgency=medium

  * mt7921e: Failed to start WM firmware (LP: #1954300)
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)
  * mt7921e 0000:02:00.0: PM: failed to resume async: error -110 (LP: #1958286)
    - linux-firmware: update frimware for mediatek bluetooth chip (MT7921)
    - linux-firmware: update firmware for mediatek bluetooth chip (MT7921)
    - linux-firmware: update firmware for MT7921 WiFi device
    - linux-firmware: update firmware for MT7921 WiFi device
    - linux-firmware: update firmware for mediatek bluetooth chip(MT7921)

 -- Juerg Haefliger <juergh@canonical.com>  Fri, 28 Jan 2022 11:12:51 +0100

linux-firmware (1.201.3) impish; urgency=medium

  * linux-firmware: add firmware for adl machines from sof-firmware-v1.9.2 (LP: #1952011)
  * Miscellaneous Ubuntu packaging changes and cleanups (LP: #1953587)
    - SAUCE: check_whence.py: Add python3 shebang
    - SAUCE: check_whence.py: Also process WHENCE.ubuntu
    - SAUCE: check_whence.py: Ignore debian/ and fw_source/ directories
    - SAUCE: check_whence.py: Ignore ea/ directory
    - SAUCE: Remove obsolete bnx2x from WHENCE
    - SAUCE: Remove obsolete tr_smctr from WHENCE
    - SAUCE: Remove obsolete ti-connectivity from WHENCE
    - SAUCE: Remove obsolete tda7706 from WHENCE
    - SAUCE: Remove obsolete sxg from WHENCE
    - SAUCE: Remove obsolete myricom from WHENCE
    - SAUCE: Remove obsolete mwl8k from WHENCE
    - SAUCE: Remove obsolete libertas from WHENCE
    - SAUCE: Remove obsolete Computone from WHENCE
    - SAUCE: Remove obsolete dabusb from WHENCE
    - SAUCE: Remove obsolete cxgb from WHENCE
    - SAUCE: Remove obsolete bnx2x from WHENCE
    - SAUCE: Remove obsolete ar9170 from WHENCE
    - SAUCE: Remove obsolete ar7010 from WHENCE
    - SAUCE: Remove obsolete ath3k from WHENCE
    - SAUCE: Remove obsolete 3com from WHENCE
    - SAUCE: Remove obsolete ath6k from WHENCE
    - SAUCE: Remove obsolete slicoss from WHENCE
    - SAUCE: Remove obsolete ath9k from WHENCE
    - SAUCE: Remove obsolete ar3k from WHENCE
    - SAUCE: Remove obsolete bnx2x from WHENCE
    - SAUCE: Remove obsolete files from WHENCE
    - SAUCE: Remove obsolete cxgb3 from WHENCE
    - SAUCE: Remove obsolete ueagle-atm from WHENCE
    - Add LICENCE.realtek-firmware.txt to WHENCE.ubuntu
    - Rename LICENCE.dib0700 to LICENSE.dib0700
    - Move Ubuntu check_firmware script to debian/scripts/
    - Remove unnecessary symbolic links
    - intel/sof: Remove symbolic links and add license to WHENCE.ubuntu
    - [Packaging] Add check rule and call it in clean stage
    - [Packaging] Add WHENCE.ubuntu as README.ubuntu to the package
    - UBUNTU: [Packaging] close-release: Parse commit messages for Ignores and BugLinks

 -- Juerg Haefliger <juergh@canonical.com>  Tue, 07 Dec 2021 09:40:38 +0100

linux-firmware (1.201.1) impish; urgency=medium

  * [Packaging] rebase-upstream: Add a bug reference if env variable LP is set
  * Update firmware for MT7921 WiFi/Bluetooth (LP: #1947829)
    - linux-firmware: update firmware for MT7921 WiFi device

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Oct 2021 15:22:57 +0300

=== debian/rules ===
--- 
+++ 
@@ -38,15 +38,18 @@
 	install -d $(firm_dir)
 
 	make install DESTDIR=$(dest_dir)
+	# debian/scripts/compress-firmware $(firm_dir)
 
 ifeq ($(filter noudeb,$(DEB_BUILD_PROFILES)),)
 	for f in $$(cat debian/nic-firmware.lst); do \
 		install -m644 -D $(firm_dir)/$$f $(nic_firm_dir)/$$f; \
 	done
+	# debian/scripts/compress-firmware $(nic_firm_dir)
 
 	for f in $$(cat debian/scsi-firmware.lst); do \
 		install -m644 -D $(firm_dir)/$$f $(scsi_firm_dir)/$$f; \
 	done
+	# debian/scripts/compress-firmware $(scsi_firm_dir)
 endif
 
 	install -d $(doc_dir)
@@ -84,11 +87,5 @@
 	    $(MAKE) -f debian/rules check; \
 	fi
 
-rebase:
-	debian/scripts/rebase-upstream
-
-release:
-	debian/scripts/close-release
-
 check:
 	$(MAKE) check

## linux-firmware 1.202

=== debian/changelog ===
linux-firmware (1.202) unstable; urgency=medium

  * update

 -- Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>  Wed, 08 Dec 2021 10:53:03 +0800

linux-firmware (1.202) jammy; urgency=medium

  * [Packaging] rebase-upstream: Add a bug reference if env variable LP is set
  * linux-firmware: update firmware for MT7921 WiFi device

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Oct 2021 15:24:10 +0300

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,6 @@
 
 	install -d $(doc_dir)
 	cp WHENCE $(doc_dir)/README
-	cp WHENCE.ubuntu $(doc_dir)/README.ubuntu
 
 	install -d $(license_dir)
 	cp LICEN[CS]E* GPL-[23] $(license_dir)
@@ -81,11 +80,8 @@
 	dh_testroot
 	dh_clean
 
-	# Ensure sanity checks are run when building packages from the
-	# git repo
-	if [ -d .git ] ; then \
-	    $(MAKE) -f debian/rules check; \
-	fi
+rebase:
+	debian/scripts/rebase-upstream
 
-check:
-	$(MAKE) check
+release:
+	debian/scripts/close-release

## linux-firmware 1.202.3

=== cis/Makefile ===
# The pack_cis tool from cis-tools
# <http://git.kernel.org/?p=utils/cis-tools/cis-tools.git>.
PACK_CIS = pack_cis

CIS_SRC := $(wildcard src/*.cis)
CIS_BIN := $(notdir $(CIS_SRC))

all: $(CIS_BIN)

%.cis: src/%.cis
	$(PACK_CIS) -o $@ $<

clean:
	rm -f $(CIS_BIN)

=== debian/changelog ===
linux-firmware (1.202.3) jammy; urgency=medium

  * add rtl8852be bin files to linux-firmware deb package
  * add mtk7961 bin files to linux-firmware deb package

 -- tangmeng <tangmeng@uniontech.com>  Wed, 20 Apr 2022 16:27:04 +0800

linux-firmware (1.202.2) jammy; urgency=medium

  * add rtl8852be bin files
  * add mtk7961 bin files

 -- tangmeng <tangmeng@uniontech.com>  Wed, 20 Apr 2022 13:15:57 +0800

linux-firmware (1.202.1) jammy; urgency=medium

  * update amdgpu&nvidia&i915 firmware to 20220329.git681281e4
  * 

 -- hongao <hongao@uniontech.com>  Mon, 18 Apr 2022 11:37:27 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 13), rsync
+Build-Depends: debhelper-compat (= 12), rsync
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-firmware
 
 Package: linux-firmware

## linux-firmware 1.202.6

=== debian/changelog ===
linux-firmware (1.202.6) jammy; urgency=medium

  * add rtl8852au firemware to deb

 -- wangyuanzhi <tangmeng@uniontech.com>  Tue, 13 Sep 2022 17:32:59 +0800

linux-firmware (1.202.5) jammy; urgency=medium

  * add rtl8852au firemware

 -- wangyuanzhi <wangyuanzhi@uniontech.com>  Wed, 07 Sep 2022 09:25:58 +0800

linux-firmware (1.202.4) jammy; urgency=medium

  * Update firmware file for Intel Bluetooth

 -- tangmeng <tangmeng@uniontech.com>  Mon, 06 Jun 2022 09:25:58 +0800

## linux-firmware 1.202.7

=== debian/changelog ===
linux-firmware (1.202.7) jammy; urgency=medium

  * add ath WCN6855 firemware 

 -- wangyuanzhi <wangyuanzhi@uniontech.com>  Mon, 19 Sep 2022 15:19:21 +0800

## linux-firmware 1.202.8

=== debian/changelog ===
linux-firmware (1.202.8) jammy; urgency=medium

  * add rtl8822cu_fw firemware

 -- wangyuanzhi <wangyuanzhi@uniontech.com>  Tue, 06 Dec 2022 15:58:57 +0800

## linux-firmware 20220329.git681281e4

=== Makefile ===
# This file implements the GNOME Build API:
# http://people.gnome.org/~walters/docs/build-api.txt

FIRMWAREDIR = /lib/firmware

all:

check:
	@./check_whence.py

install:
	mkdir -p $(DESTDIR)$(FIRMWAREDIR)
	./copy-firmware.sh $(DESTDIR)$(FIRMWAREDIR)

=== dsp56k/Makefile ===
bootstrap.bin: bootstrap.asm concat-bootstrap.pl
	a56 bootstrap.asm >/dev/null
	perl concat-bootstrap.pl <a56.out >bootstrap.bin

clean:
	rm -f a56.out bootstrap.bin

=== debian/changelog ===
linux-firmware (20220329.git681281e4-0ubuntu3.40) jammy; urgency=medium

  * Fix low volume issue on left speaker on Dell Oasis series (LP: #2119494)
    - linux-firmware: Add firmware for Cirrus CS35L41 on HP Consumer Laptops
    - linux-firmware: Add tuning parameter configs for CS35L41 Firmware
    - cirrus: cs35l41: Add Firmware for various HP Laptops using CS35L41 HDA
    - cirrus: cs35l41: Update Firmware for Dell Oasis

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 18 Sep 2025 09:56:34 +0200

linux-firmware (20220329.git681281e4-0ubuntu3.39) jammy; urgency=medium

  * Support WiFi 6GHz for Philippines on Intel iwlwifi chips (LP: #2110106)
    - iwlwifi: update cc/Qu/QuZ firmwares for core81-65 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core83-55 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core87-44 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core88-87 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core89-58 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core91-69 release
    - iwlwifi: add ty/So/Ma firmwares for core87-44 release
    - iwlwifi: add ty/So/Ma firmwares for core88-87 release
    - iwlwifi: update ty/So/Ma firmwares for core91-69 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core93-82 release
    - iwlwifi: update ty/So/Ma firmwares for core93-123 release
    - iwlwifi: add Bz FW for core89-58 release
    - iwlwifi: add gl FW for core87-44 release
    - iwlwifi: add gl FW for core89-58 release
    - iwlwifi: add gl/Bz FW for core91-69 release
    - iwlwifi: add Bz-gf FW for core91-69 release
    - iwlwifi: add Bz-gf FW for core89-91 release
    - iwlwifi: add Bz/gl FW for core93-123 release

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 22 Aug 2025 17:29:39 +0200

linux-firmware (20220329.git681281e4-0ubuntu3.38) jammy; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Workflow] Switch to pull_request and clean up
  * initramfs-tools/0.140ubuntu13.4 ADT test failure with linux/5.15.0-125.135 (LP: #2085503)
    - [Packaging] Bail out of initramfs hook if target dir does not exist

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 15 Jul 2025 19:27:53 +0200

linux-firmware (20220329.git681281e4-0ubuntu3.37) jammy; urgency=medium

  * Support wifi 6GHz for Philippines on Qualcomm WCN6856 (LP: #2102200)
    - ath11k: WCN6855 hw2.0: update board-2.bin
    - SAUCE: WCN6855 hw2.0: update board-2.bin

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Thu, 17 Apr 2025 08:18:54 +0200

linux-firmware (20220329.git681281e4-0ubuntu3.36) jammy; urgency=medium

  * Fix regression and add more region support of QCOM WiFi WCN7850 (LP: #2084504)
    - ath12k: WCN7850 hw2.0: update board-2.bin

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 08 Nov 2024 09:51:14 +0100

linux-firmware (20220329.git681281e4-0ubuntu3.35) jammy; urgency=medium

  * Most Meteor Lake machines fail to boot into desktop after upgrading to the -48 kernel. (LP: #2084766)
    - i915: update DG2 GuC to v70.8.0
    - i915: Add GuC v70.13.1 for DG2, TGL, ADL-P and MTL
    - i915: Add GuC v70.20.0 for ADL-P, DG1, DG2, MTL and TGL

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 18 Oct 2024 07:13:05 +0200

linux-firmware (20220329.git681281e4-0ubuntu3.34) jammy; urgency=medium

  * Update mt7925 BT FW to avoid  bluetooth_obex_send failed  (LP: #2079024)
    - linux-firmware: update firmware for mediatek bluetooth chip (MT7925)
  * Updating firmware disabled QCOM WiFi WCN7850 on T14 Gen5 AMD (LP: #2080428)
    - SAUCE: Revert "ath12k: WCN7850 hw2.0: update board-2.bin"

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Fri, 13 Sep 2024 11:00:09 +0200

linux-firmware (20220329.git681281e4-0ubuntu3.33) jammy; urgency=medium

  * Error: out of memory while booting after installing the linux-firmware in proposed (LP: #2077490)
    - [Packaging] De-dup firmware files
    - [Packaging] Add initramfs-hook to de-dup firmware files
  * Add more region support of QCOM WiFi WCN7850 (LP: #2077296)
    - ath12k: WCN7850 hw2.0: update board-2.bin
  * [SRU]QAT: Add 402xx (CPM2.0c) firmware for Sierra forest and Granite rapids (LP: #2073525)
    - linux-firmware: add firmware for qat_402xx devices

 -- Juerg Haefliger <juerg.haefliger@canonical.com>  Tue, 27 Aug 2024 08:30:33 +0200

linux-firmware (20220329.git681281e4-0ubuntu3.32) jammy; urgency=medium

  * Failed to detect Wireless LAN device (LP: #2073108)
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00288-QCARMSWPZ-1
    - ath10k: QCA6174 hw3.0: update firmware-6.bin to WLAN.RM.4.4.1-00309-
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update board-2.bin
  * Add new firmwares for 6.8 hwe kernel (LP: #2076180)
    - SAUCE: check_whence.py: Sync to Noble
    - SAUCE: check_whence.py: Remove non-existing files from known_files list
    - WHENCE: comment out duplicate MediaTek firmware
    - WHENCE: remove duplicate File entries
    - qcom: add firmware files for Adreno a220
    - qcom: add firmware files for Adreno A200
    - amdgpu: updated aldebaran firmware for amd-5.4
    - amdgpu: update aldebaran firmware for amd.5.5 release
    - amdgpu: update aldebaran firmware from 5.7 branch
    - amdgpu: update aldebaran firmware
    - linux-firmware: add firmware for MT7981
    - linux-firmware: add firmware for MT7996
    - linux-firmware: Update AMD SEV firmware
    - nvidia: add GSP-RM version 535.113.01 firmware images
    - powervr: add firmware for Imagination Technologies AXE-1-16M GPU
    - cirrus: Add firmware file for cs42l43
    - amdgpu: Add GC 9.4.3 firmware
    - amdgpu: add PSP 13.0.6 firmware
    - amdgpu: add SMU 13.0.6 firmware
    - amdgpu: add SDMA 4.4.2 firmware
    - amdgpu: add VCN 4.0.3 firmware
    - amdgpu: add GC 11.0.1 rlc_1 firmware
    - amdgpu: add GC 11.5.0 firmware
    - amdgpu: add PSP 14.0.0  firmware
    - amdgpu: add SDMA 6.1.0 firmware
    - amdgpu: add VCN 4.0.5 firmware


=== debian/control ===
Source: linux-firmware
Section: misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13)
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-firmware

Package: linux-firmware
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends}
Recommends: firmware-sof-signed
Provides: atmel-firmware
Conflicts: atmel-firmware
Replaces: atmel-firmware, linux-restricted-common, linux-firmware-snapdragon (<= 1.2-0ubuntu1)
Breaks: linux-firmware-snapdragon (<= 1.2-0ubuntu1), linux-firmware-raspi2 (<= 1.20190819-0ubuntu2)
Description: Firmware for Linux kernel drivers
 This package provides firmware used by Linux kernel drivers.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-firmware
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2008 Ben Collins <bcollins@ubuntu.com>
#
#

export LC_ALL=C
export SHELL=/bin/bash -e

dest_dir = $(CURDIR)/debian/linux-firmware
firm_dir = $(dest_dir)/lib/firmware
doc_dir = $(dest_dir)/usr/share/doc/linux-firmware
license_dir = $(doc_dir)/licenses

install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i

	install -d $(firm_dir)

	make install DESTDIR=$(dest_dir)
	debian/scripts/remove-firmware $(firm_dir)
	# debian/scripts/compress-firmware $(firm_dir)

	install -d $(doc_dir)
	cp WHENCE $(doc_dir)/README
	cp WHENCE.ubuntu $(doc_dir)/README.ubuntu

	install -d $(license_dir)
	cp LICEN[CS]E* GPL-[23] $(license_dir)
	debian/scripts/remove-firmware $(license_dir)

	# De-dup firmwares, i.e., if there are duplicate firmware files,
	# keep only one and create symlinks for the others
	debian/scripts/symlink-duplicates $(firm_dir)

	# Check for dangling symlinks
	debian/scripts/check-symlinks $(dest_dir)

binary-indep: install-indep
	dh_testdir
	dh_testroot

	dh_install -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

	# Ensure sanity checks are run when building packages from the
	# git repo
	if [ -d .git ] && [ -x /usr/bin/git ] ; then \
	    $(MAKE) -f debian/rules check; \
	fi

check:
	$(MAKE) check
